import { EventEmitter } from '@angular/core';
import { FilterOperator, Filter } from '@true-directive/base';
import { GridSettings } from '@true-directive/base';
import { GridState } from '@true-directive/base';
import { DialogInfo } from '../../controls/dialog-info.class';
import { MenuComponent } from '../../controls/menu.component';
import { IFilter } from './filter.interface';
export declare abstract class FilterBaseComponent implements IFilter {
    filter: Filter;
    rows: Array<any>;
    operatorMenu: MenuComponent;
    closed: EventEmitter<any>;
    setFilter: EventEmitter<any>;
    resetFilter: EventEmitter<any>;
    abstract init(): void;
    abstract validate(): boolean;
    state: GridState;
    _dialog: DialogInfo;
    readonly dialog: DialogInfo;
    dialogBtnClick(e: any): void;
    private _settings;
    readonly listSettings: GridSettings;
    selectMode: boolean;
    showOM(e: any): void;
    operator(o: FilterOperator): void;
}
